#pragma once

#include "CoreMinimal.h"
#include "HoudiniDataLayer.generated.h"

USTRUCT(BlueprintType)
struct FHoudiniDataLayer
{
	GENERATED_BODY()

public:
	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	FString Name;

	UPROPERTY(EditAnywhere, BlueprintReadWrite)
	bool bCreateIfNeeded;

public:
	HOUDINIENGINERUNTIME_API FHoudiniDataLayer();
};

FORCEINLINE uint32 GetTypeHash(const FHoudiniDataLayer) { return 0; }
